=== modified file 'drizzled/functions/Makefile.am'
--- drizzled/functions/Makefile.am	2008-10-24 03:43:19 +0000
+++ drizzled/functions/Makefile.am	2008-10-28 16:53:52 +0000
@@ -37,6 +37,7 @@
 			  func.cc \
 			  get_system_var.cc \
                           int.cc \
+                          integer.cc \
                           int_divide.cc \
                           int_val.cc \
 			  last_insert.cc \
@@ -44,6 +45,7 @@
 			  ln.cc \
 			  locate.cc \
 			  log.cc \
+			  master_pos_wait.cc \
 			  min_max.cc \
 			  minus.cc \
 			  mod.cc \
@@ -90,6 +92,7 @@
 		 func.h \
 		 get_system_var.h \
                  int.h \
+                 integer.h \
                  int_divide.h \
                  int_val.h \
 		 last_insert.h \
@@ -97,6 +100,7 @@
 		 ln.h \
 		 locate.h \
 		 log.h \
+		 master_pos_wait.h \
 		 min_max.h \
 		 minus.h \
 		 mod.h \

=== added file 'drizzled/functions/integer.cc'
--- drizzled/functions/integer.cc	1970-01-01 00:00:00 +0000
+++ drizzled/functions/integer.cc	2008-10-28 16:53:52 +0000
@@ -0,0 +1,31 @@
+/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2008 Sun Microsystems
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; version 2 of the License.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#include <drizzled/server_includes.h>
+#include CSTDINT_H
+#include <drizzled/functions/integer.h>
+
+void Item_func_integer::fix_length_and_dec()
+{
+  max_length=args[0]->max_length - args[0]->decimals+1;
+  uint32_t tmp=float_length(decimals);
+  set_if_smaller(max_length,tmp);
+  decimals=0;
+}
+

=== added file 'drizzled/functions/integer.h'
--- drizzled/functions/integer.h	1970-01-01 00:00:00 +0000
+++ drizzled/functions/integer.h	2008-10-28 16:53:52 +0000
@@ -0,0 +1,32 @@
+/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2008 Sun Microsystems
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; version 2 of the License.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#ifndef DRIZZLED_FUNCTIONS_INTEGER_H
+#define DRIZZLED_FUNCTIONS_INTEGER_H
+
+#include <drizzled/functions/func.h> 
+
+class Item_func_integer :public Item_int_func
+{
+public:
+  inline Item_func_integer(Item *a) :Item_int_func(a) {}
+  void fix_length_and_dec();
+};
+
+#endif /* DRIZZLED_FUNCTIONS_INTEGER_H */

=== added file 'drizzled/functions/master_pos_wait.cc'
--- drizzled/functions/master_pos_wait.cc	1970-01-01 00:00:00 +0000
+++ drizzled/functions/master_pos_wait.cc	2008-10-28 16:53:52 +0000
@@ -0,0 +1,52 @@
+/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2008 Sun Microsystems
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; version 2 of the License.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#include <drizzled/server_includes.h>
+#include "../rpl_mi.h"
+#include CSTDINT_H
+#include <drizzled/functions/master_pos_wait.h>
+
+/**
+  Wait until we are at or past the given position in the master binlog
+  on the slave.
+*/
+
+int64_t Item_master_pos_wait::val_int()
+{
+  assert(fixed == 1);
+  Session* session = current_session;
+  String *log_name = args[0]->val_str(&value);
+  int event_count= 0;
+
+  null_value=0;
+  if (session->slave_thread || !log_name || !log_name->length())
+  {
+    null_value = 1;
+    return 0;
+  }
+  int64_t pos = (ulong)args[1]->val_int();
+  int64_t timeout = (arg_count==3) ? args[2]->val_int() : 0 ;
+  if ((event_count = active_mi->rli.wait_for_pos(session, log_name, pos, timeout)) == -2)
+  {
+    null_value = 1;
+    event_count=0;
+  }
+  return event_count;
+}
+

=== added file 'drizzled/functions/master_pos_wait.h'
--- drizzled/functions/master_pos_wait.h	1970-01-01 00:00:00 +0000
+++ drizzled/functions/master_pos_wait.h	2008-10-28 16:53:52 +0000
@@ -0,0 +1,39 @@
+/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2008 Sun Microsystems
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; version 2 of the License.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#ifndef DRIZZLED_FUNCTIONS_MASTER_POS_WAIT_H
+#define DRIZZLED_FUNCTIONS_MASTER_POS_WAIT_H
+
+#include <drizzled/functions/func.h> 
+
+class Item_master_pos_wait :public Item_int_func
+{
+  String value;
+public:
+  Item_master_pos_wait(Item *a,Item *b) :Item_int_func(a,b) {}
+  Item_master_pos_wait(Item *a,Item *b,Item *c) :Item_int_func(a,b,c) {}
+  int64_t val_int();
+  const char *func_name() const { return "master_pos_wait"; }
+  void fix_length_and_dec() { max_length=21; maybe_null=1;}
+  bool check_vcol_func_processor(unsigned char *int_arg __attribute__((unused)))
+  { return true; }
+};
+
+
+#endif /* DRIZZLED_FUNCTIONS_MASTER_POS_WAIT_H */

=== modified file 'drizzled/item_func.cc'
--- drizzled/item_func.cc	2008-10-25 04:31:54 +0000
+++ drizzled/item_func.cc	2008-10-28 16:53:52 +0000
@@ -22,7 +22,6 @@
 */
 
 #include <drizzled/server_includes.h>
-#include "rpl_mi.h"
 #include <mysys/my_bit.h>
 #include <drizzled/error.h>
 
@@ -184,14 +183,6 @@
 
 // Conversion functions
 
-void Item_func_integer::fix_length_and_dec()
-{
-  max_length=args[0]->max_length - args[0]->decimals+1;
-  uint32_t tmp=float_length(decimals);
-  set_if_smaller(max_length,tmp);
-  decimals=0;
-}
-
 int64_t Item_func_field::val_int()
 {
   assert(fixed == 1);
@@ -257,33 +248,6 @@
     agg_arg_charsets(cmp_collation, args, arg_count, MY_COLL_CMP_CONV, 1);
 }
 
-
-int64_t Item_func_ord::val_int()
-{
-  assert(fixed == 1);
-  String *res=args[0]->val_str(&value);
-  if (!res)
-  {
-    null_value=1;
-    return 0;
-  }
-  null_value=0;
-  if (!res->length()) return 0;
-#ifdef USE_MB
-  if (use_mb(res->charset()))
-  {
-    register const char *str=res->ptr();
-    register uint32_t n=0, l=my_ismbchar(res->charset(),str,str+res->length());
-    if (!l)
-      return (int64_t)((unsigned char) *str);
-    while (l--)
-      n=(n<<8)|(uint32_t)((unsigned char) *str++);
-    return (int64_t) n;
-  }
-#endif
-  return (int64_t) ((unsigned char) (*res)[0]);
-}
-
 /*
 ** User level locks
 */
@@ -370,34 +334,6 @@
     delete ull;
 }
 
-/**
-  Wait until we are at or past the given position in the master binlog
-  on the slave.
-*/
-
-int64_t Item_master_pos_wait::val_int()
-{
-  assert(fixed == 1);
-  Session* session = current_session;
-  String *log_name = args[0]->val_str(&value);
-  int event_count= 0;
-
-  null_value=0;
-  if (session->slave_thread || !log_name || !log_name->length())
-  {
-    null_value = 1;
-    return 0;
-  }
-  int64_t pos = (ulong)args[1]->val_int();
-  int64_t timeout = (arg_count==3) ? args[2]->val_int() : 0 ;
-  if ((event_count = active_mi->rli.wait_for_pos(session, log_name, pos, timeout)) == -2)
-  {
-    null_value = 1;
-    event_count=0;
-  }
-  return event_count;
-}
-
 #ifdef EXTRA_DEBUG
 void debug_sync_point(const char* lock_name, uint32_t lock_timeout)
 {

=== modified file 'drizzled/item_func.h'
--- drizzled/item_func.h	2008-10-24 03:43:19 +0000
+++ drizzled/item_func.h	2008-10-28 16:53:52 +0000
@@ -41,8 +41,10 @@
 #include <drizzled/functions/bit_count.h>
 #include <drizzled/functions/bit_length.h>
 #include <drizzled/functions/find_in_set.h>
+#include <drizzled/functions/integer.h>
 #include <drizzled/functions/int_divide.h>
 #include <drizzled/functions/length.h>
+#include <drizzled/functions/master_pos_wait.h>
 #include <drizzled/functions/min_max.h>
 #include <drizzled/functions/minus.h>
 #include <drizzled/functions/mod.h>
@@ -82,13 +84,6 @@
 #include <drizzled/functions/tan.h>
 #include <drizzled/functions/unsigned.h>
 
-class Item_func_integer :public Item_int_func
-{
-public:
-  inline Item_func_integer(Item *a) :Item_int_func(a) {}
-  void fix_length_and_dec();
-};
-
 class Item_func_field :public Item_int_func
 {
   String value,tmp;
@@ -101,22 +96,6 @@
   void fix_length_and_dec();
 };
 
-/* replication functions */
-
-class Item_master_pos_wait :public Item_int_func
-{
-  String value;
-public:
-  Item_master_pos_wait(Item *a,Item *b) :Item_int_func(a,b) {}
-  Item_master_pos_wait(Item *a,Item *b,Item *c) :Item_int_func(a,b,c) {}
-  int64_t val_int();
-  const char *func_name() const { return "master_pos_wait"; }
-  void fix_length_and_dec() { max_length=21; maybe_null=1;}
-  bool check_vcol_func_processor(unsigned char *int_arg __attribute__((unused)))
-  { return true; }
-};
-
-
 /* Handling of user definable variables */
 
 class user_var_entry;

=== modified file 'drizzled/serialize/Makefile.am'
--- drizzled/serialize/Makefile.am	2008-10-07 03:31:27 +0000
+++ drizzled/serialize/Makefile.am	2008-10-24 22:06:16 +0000
@@ -82,13 +82,14 @@
 EXTRA_DIST = schema.proto table.proto binary_log.proto master_list.proto
 BUILT_SOURCES = schema.pb.h \
 		table.pb.h \
-		schema.pb.cc \
-		table.pb.cc \
-		binary_log.pb.cc
+		binary_log.pb.h \
+		master_list.pb.h
 
 CLEANFILES =  binary_log.pb.h \
               binary_log.pb.cc \
               schema.pb.h \
               schema.pb.cc \
               table.pb.h \
-              table.pb.cc
+              table.pb.cc \
+              master_list.pb.h \
+              master_list.pb.cc

